Package org.eclipse.core.databinding.observable

## Interface IDisposeListener

All Superinterfaces:
  `IObservablesListener`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

    @FunctionalInterface
    public interface IDisposeListener
    extends IObservablesListener

Listener for dispose events. An observable object is disposed if its `IObservable.dispose()` method has been called.

Since:
  1.2

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `handleDispose​(DisposeEvent event)` Handle the event that the given observable object has been disposed.

### Method Detail

#### handleDispose

    void handleDispose​(DisposeEvent event)

Handle the event that the given observable object has been disposed. The given event object must only be used locally in this method because it may be reused for other dispose notifications.

Parameters:
  `event` -